package utils

import (
	"git.noahlan.cn/n-admin/n-admin-server/rpc/core/types/core"
	"git.noahlan.cn/noahlan/ntool-biz/core/page"
)

func ConvertPaginationDb(pagination *page.Pagination) *core.Pagination {
	return &core.Pagination{
		Size:    uint64(pagination.Size),
		Total:   uint64(pagination.Total),
		Current: uint64(pagination.Current),
	}
}
